# all files / ol/ mapbrowserpointerevent.js

100% Statements 7/7
100% Branches 0/0
100% Functions 1/1
100% Lines 7/7

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    301×

    1×
    1×

    1×

    404×

    404×

    1×
     goog.provide('ol.MapBrowserPointerEvent');

    goog.require('ol');
    goog.require('ol.MapBrowserEvent');

    /**
     * @constructor
     * @extends {ol.MapBrowserEvent}
     * @param {string} type Event type.
     * @param {ol.PluggableMap} map Map.
     * @param {ol.pointer.PointerEvent} pointerEvent Pointer event.
     * @param {boolean=} opt_dragging Is the map currently being dragged?
     * @param {?olx.FrameState=} opt_frameState Frame state.
     */
    ol.MapBrowserPointerEvent = function(type, map, pointerEvent, opt_dragging,
        opt_frameState) {

      ol.MapBrowserEvent.call(this, type, map, pointerEvent.originalEvent, opt_dragging,
          opt_frameState);

      /**
       * @const
       * @type {ol.pointer.PointerEvent}
       */
      this.pointerEvent = pointerEvent;

    };
    ol.inherits(ol.MapBrowserPointerEvent, ol.MapBrowserEvent);